Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » Library aspectrt.jar with Internet Explorer JVM : compatible or not ?
Library aspectrt.jar with Internet Explorer JVM : compatible or not ? [message #58833] Wed, 23 November 2005 12:44 Go to next message
Eclipse User
Originally posted by: ahugueney.fininfo.fr

I tried and used aspectjrt.jar (eclipse 3.1) with Internet Explorer JVM
(5.0.0.3810 / XP sp2). But it failed with a very simple pointcut (trace).
The same worked with the Sun plug-in (JDK 1.5.0_05).


So I guess that the bytecode produced by the AspectJ tools (built from
17/11/2005) are lacking some important compatibility with Internet Explorer
JVM.

But the documentation referenced at
http://www.eclipse.org/aspectj/doc/next/devguide/compatibili ty.html#javaCompatibility

says that it should run. So how could I manage to fix this in someway ?


Thanks a lot in advance,


Antoine Hugueney (Java programmer)
Re: Library aspectrt.jar with Internet Explorer JVM : compatible or not ? [message #58859 is a reply to message #58833] Thu, 24 November 2005 03:25 Go to previous message
Eclipse User
Originally posted by: clemas.uk.ibm.com

What kind of failure do you see? aspectjrt.jar is a Java 1.1 compliant
module - we don't do explicit testing with the JVMs in web browsers but
if it doesn't work then it sounds like a bug.

Andy.

Antoine Hugueney wrote:
> I tried and used aspectjrt.jar (eclipse 3.1) with Internet Explorer JVM
> (5.0.0.3810 / XP sp2). But it failed with a very simple pointcut (trace).
> The same worked with the Sun plug-in (JDK 1.5.0_05).
>
>
> So I guess that the bytecode produced by the AspectJ tools (built from
> 17/11/2005) are lacking some important compatibility with Internet Explorer
> JVM.
>
> But the documentation referenced at
> http://www.eclipse.org/aspectj/doc/next/devguide/compatibili ty.html#javaCompatibility
>
> says that it should run. So how could I manage to fix this in someway ?
>
>
> Thanks a lot in advance,
>
>
> Antoine Hugueney (Java programmer)
>
>
Re: Library aspectrt.jar with Internet Explorer JVM : compatible or not ? [message #591021 is a reply to message #58833] Thu, 24 November 2005 03:25 Go to previous message
Andrew Clement is currently offline Andrew Clement
Messages: 162
Registered: July 2009
Senior Member
What kind of failure do you see? aspectjrt.jar is a Java 1.1 compliant
module - we don't do explicit testing with the JVMs in web browsers but
if it doesn't work then it sounds like a bug.

Andy.

Antoine Hugueney wrote:
> I tried and used aspectjrt.jar (eclipse 3.1) with Internet Explorer JVM
> (5.0.0.3810 / XP sp2). But it failed with a very simple pointcut (trace).
> The same worked with the Sun plug-in (JDK 1.5.0_05).
>
>
> So I guess that the bytecode produced by the AspectJ tools (built from
> 17/11/2005) are lacking some important compatibility with Internet Explorer
> JVM.
>
> But the documentation referenced at
> http://www.eclipse.org/aspectj/doc/next/devguide/compatibili ty.html#javaCompatibility
>
> says that it should run. So how could I manage to fix this in someway ?
>
>
> Thanks a lot in advance,
>
>
> Antoine Hugueney (Java programmer)
>
>
Previous Topic:Library aspectrt.jar with Internet Explorer JVM : compatible or not ?
Next Topic:Release?
Goto Forum:
  


Current Time: Sat Apr 19 08:53:15 EDT 2014

Powered by FUDForum. Page generated in 0.01627 seconds